Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 469548 - Review Request: ap-utils - Configure and monitor Wireless Access Points
Summary: Review Request: ap-utils - Configure and monitor Wireless Access Points
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-02 11:06 UTC by Fabian Affolter
Modified: 2009-07-09 20:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-09 20:10:21 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2008-11-02 11:06:20 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/ap-utils.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/ap-utils-1.5-1.fc9.src.rpm

Project URL: http://ap-utils.polesye.net/

Description:
Wireless Access Point Utilities for Unix - it's a set of utilities to
configure and monitor Wireless Access Points under Unix using SNMP
and tftp protocol.

* ap-config - to config and get stats from Atmel-MIB based APs and
  devices that support IEEE 802.11 MIB and NWN DOT11EXT MIB
* ap-gl - to config and get stats from Atmel-MIB based APs with
  1.4k.2 firmware
* ap-tftp - command line utility to upgrade AP firmare over tftp
* ap-auth - command line utility to work with mac auth
* ap-mrtg - to get stat from AP and return it in MRTG parsable format
* ap-rrd - to get stat from AP and save it into RRD database
* ap-trapd - to receive, parse, and log trap messages from AP

Koji scratch builds:
F9:  http://koji.fedoraproject.org/koji/taskinfo?taskID=914639
F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=914644

rpmlint output:
[fab@laptop024 i386]$ rpmlint ap-*
ap-utils.i386: W: devel-file-in-non-devel-package /usr/bin/ap-config
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

There is nothing for a devel package.

[fab@laptop024 SRPMS]$ rpmlint ap-*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Alec Leamas 2008-11-21 10:17:29 UTC
Hi!

I promised to make yet another review...

Summary: OK besides some missing document files. A question mark on
all the compiler warnigs when building, though.


MUST stuff:
rpmlint must be run on every package...
  -  OK (No errors or warnings on srpm or spec file.)

The package must be named according to the  Package Naming Guidelines .
   - OK

The spec file name must match the base package %{name}, 
   - OK

The package must meet the  Packaging Guidelines .
   - OK.

The package must be licensed with a Fedora approved license...
   - OK

The License field in the package spec file must match the actual license.
   - OK (some files have GPLv+ notices, but GPLv2 is the common denominator).

The text of the license(s) for the package must be included in %doc
   - OK

The spec file for the package MUST be legible.
   - OK

The sources used to build the package must match the upstream source
   - OK (ebdb2a03302648c939ac965617de2889)

The package must successfully compile and build into binary rpms.
   - OK, on my Fedora 9/X86_64 box. Lots of compiler warnings " warning: 
     pointer targets in assignment differ in signedness" while building."
     for constructs with  a short and a literal #define int.
     Seems acceptable to me. (Upstream report?)

All build dependencies must be listed in BuildRequires
   - OK (since mock is OK, see below)

The spec file MUST handle locales properly.
   - OK

Every binary RPM package which stores shared library files 
   - NA

If the package is designed to be relocatable...
   - NA

A package must own all directories that it creates
   - NOK. The %doc section lists  Documentation/*.html Documentation/FAQ
     but these are not present at all in the generated RPM.

A package must not contain any duplicate files in the %files listing.
   - OK

Permissions on files must be set properly
   - OK

Each package must have a %clean section, rm -rf %{buildroot} 
   - OK

Each package must consistently use macros...
   - OK

The package must contain code, or permissable content.
   - OK

Large documentation files should go in a -doc subpackage
   - TBD (Havn't seen those HTML files yet).

If it is in %doc, the program must run properly if it is not present
   - OK 

Header files must be in a -devel package.
   - NA

Static libraries must be in a -static package.
   - NA

Packages containing pkgconfig(.pc) files must...
   - NA

If a package contains library files with a suffix (e.g. libfoo.so.1.1
   - NA

If a package contains library files with a suffix...
   - NA

devel packages must require the base package using...
   - NA

Packages must NOT contain any .la libtool archives
   - OK

Packages containing GUI applications...
   - NA (ncurses apps are not considered being graphical)

Packages must not own files or directories already owned by other packages
   - OK 

At the beginning of %install, each package MUST run rm -rf %{buildroot}
   - OK

All filenames in rpm packages must be valid UTF-8.
   - OK

SHOULD 

   - The upstream license file (GPLv2) is present.
   - Localized descriptions are not available what I can see.
   - Builds OK in mock, on a Fedora-9/x86_64 configuration
   - There are no scriptlets.
   - All apps works to the point of a help message or an initial
     ncurses screen.
   - There are no subpackages, pkgconfig  .pc file or file deps.

Comment 2 Fabian Affolter 2008-12-01 11:52:22 UTC
Thanks for the review.  I will fix the open issues in the next days.

Comment 3 Fabian Affolter 2008-12-06 13:04:24 UTC
(In reply to comment #1)
> The package must successfully compile and build into binary rpms.
>    - OK, on my Fedora 9/X86_64 box. Lots of compiler warnings " warning: 
>      pointer targets in assignment differ in signedness" while building."
>      for constructs with  a short and a literal #define int.
>      Seems acceptable to me. (Upstream report?)

I have seen those warning but I don't know to fix them.  I sent a message to their mailing list. Waiting for an answer.

> A package must own all directories that it creates
>    - NOK. The %doc section lists  Documentation/*.html Documentation/FAQ
>      but these are not present at all in the generated RPM.

[fab@laptop024 i386]$ rpmls ap-utils-1.5-1.fc9.i386.rpm 
-rwxr-xr-x  /usr/bin/ap-auth
-rwxr-xr-x  /usr/bin/ap-config
-rwxr-xr-x  /usr/bin/ap-gl
-rwxr-xr-x  /usr/bin/ap-mrtg
-rwxr-xr-x  /usr/bin/ap-rrd
-rwxr-xr-x  /usr/bin/ap-tftp
-rwxr-xr-x  /usr/sbin/ap-trapd
drwxr-xr-x  /usr/share/doc/ap-utils-1.5
-rw-r--r--  /usr/share/doc/ap-utils-1.5/ABOUT-NLS
-rw-r--r--  /usr/share/doc/ap-utils-1.5/AUTHORS
-rw-r--r--  /usr/share/doc/ap-utils-1.5/COPYING
-rw-r--r--  /usr/share/doc/ap-utils-1.5/ChangeLog
-rw-r--r--  /usr/share/doc/ap-utils-1.5/FAQ  <---
-rw-r--r--  /usr/share/doc/ap-utils-1.5/NEWS
-rw-r--r--  /usr/share/doc/ap-utils-1.5/Ovislink-HOWTO.html  <---
-rw-r--r--  /usr/share/doc/ap-utils-1.5/README
-rw-r--r--  /usr/share/doc/ap-utils-1.5/THANKS
-rw-r--r--  /usr/share/doc/ap-utils-1.5/TODO
-rw-r--r--  /usr/share/locale/fr/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/locale/nl/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/locale/pl/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/locale/ro/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/locale/tr/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/locale/uk/LC_MESSAGES/ap-utils.mo
-rw-r--r--  /usr/share/man/man8/ap-auth.8.gz
-rw-r--r--  /usr/share/man/man8/ap-config.8.gz
-rw-r--r--  /usr/share/man/man8/ap-gl.8.gz
-rw-r--r--  /usr/share/man/man8/ap-mrtg.8.gz
-rw-r--r--  /usr/share/man/man8/ap-tftp.8.gz
-rw-r--r--  /usr/share/man/man8/ap-trapd.8.gz

> Large documentation files should go in a -doc subpackage
>    - TBD (Havn't seen those HTML files yet).

see above.  It's only one html file.

Comment 4 Fabian Affolter 2009-07-09 20:10:21 UTC
No answer about the compiler warnings.  The upstream project seems to be inactive.  I will leave the spec file and the SRPM in place for a while.


Note You need to log in before you can comment on or make changes to this bug.